<?php
	// required headers
	header("Access-Control-Allow-Origin: *");
	header("Content-Type: application/json; charset=UTF-8");
	 
	// include database and object files
	include_once '../config/database.php';
	include_once '../objects/user.php';
	 
	// instantiate database
	$database = new Database();
	$db = $database->getConnection();
	 
	// initialize object
	$user = new User($db);

	$stmt = $user->getAllRows();
	$num = $stmt->rowCount();

	$arr=array();
	$arr["records"]=array();
	if($num>0){
		while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
			extract($row);
			$item=array(
				"id" => (int)$id,
				"username" => $username,
				"password" => $password,
				"userrole" => $userrole

			);
			array_push($arr["records"], $item);
		}	
	}
	echo json_encode($arr);
?>